Update a 10DLC brand in draft status. Cannot update after submission.
curl --request PATCH \
--url https://api.zavu.dev/v1/10dlc/brands/{brandId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entityType": "PRIVATE_PROFIT",
"displayName": "<string>",
"companyName": "<string>",
"ein": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"website": "<string>",
"vertical": "<string>",
"stockSymbol": "<string>",
"stockExchange": "<string>"
}
'{
"brand": {
"id": "<string>",
"entityType": "PRIVATE_PROFIT",
"displayName": "Acme Corp",
"email": "jsmith@example.com",
"phone": "+14155551234",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "US",
"vertical": "Technology",
"status": "draft",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"companyName": "<string>",
"ein": "12-3456789",
"firstName": "<string>",
"lastName": "<string>",
"website": "<string>",
"stockSymbol": "<string>",
"stockExchange": "<string>",
"brandScore": 123,
"brandRelationship": "<string>",
"failureReason": "<string>",
"submittedAt": "2023-11-07T05:31:56Z",
"verifiedAt": "2023-11-07T05:31:56Z"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
10DLC brand ID.
Business entity type for 10DLC brand registration.
PRIVATE_PROFIT, PUBLIC_PROFIT, NON_PROFIT, GOVERNMENT, SOLE_PROPRIETOR 100200505020010050202501050Brand updated.
Show child attributes
curl --request PATCH \
--url https://api.zavu.dev/v1/10dlc/brands/{brandId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entityType": "PRIVATE_PROFIT",
"displayName": "<string>",
"companyName": "<string>",
"ein": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"website": "<string>",
"vertical": "<string>",
"stockSymbol": "<string>",
"stockExchange": "<string>"
}
'{
"brand": {
"id": "<string>",
"entityType": "PRIVATE_PROFIT",
"displayName": "Acme Corp",
"email": "jsmith@example.com",
"phone": "+14155551234",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "US",
"vertical": "Technology",
"status": "draft",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"companyName": "<string>",
"ein": "12-3456789",
"firstName": "<string>",
"lastName": "<string>",
"website": "<string>",
"stockSymbol": "<string>",
"stockExchange": "<string>",
"brandScore": 123,
"brandRelationship": "<string>",
"failureReason": "<string>",
"submittedAt": "2023-11-07T05:31:56Z",
"verifiedAt": "2023-11-07T05:31:56Z"
}
}